Skip to main content
POST
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
node-groups
Add Node Group Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/node-groups"

payload = {
    "name": "<string>",
    "instance_type": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "group_name": "<string>",
  "count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid>
required

Body

application/json
name
string
required
instance_type
string
required
count
integer
default:1
labels
Labels · object
taints
NodeTaint · object[]

Response

Successful Response

group_name
string
required
count
integer
required